Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043363
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-28 10:222020-03-12 17:25
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf4ae851af906
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043363: unneded requests to StaticResources when working in cluster

DescriptionWorking in a Tomcat cluster, the StaticResources generated JavaScript file is different among different nodes.

At least OB.Application.communityBrandingStaticUrl contains macIdentfier which makes the whole file to be different.

This causes unneeded requests to resources that should have been cached when switching between nodes.
Steps To ReproduceIn a cluster with 2 nodes in different physical machines:

1. log in to node A
  -> OK: StaticResources request is done
2. in same browser, log in to node B
  -> ERROR: a new request to StaticResources request is done, this shouldn't happen as it is already cached in the browser.
Proposed SolutionMove OB.Application.communityBrandingStaticUrl to SessionDynamic request
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0034490 acknowledgedplatform Openbravo ERP [clustering] Support clustering 
depends on defect 0043472 closedalostale Openbravo ERP API change: removed ApplicationComponent.getCommunityBrandingUrl method 
related to feature request 0035553 closedcaristu Openbravo ERP Improve scalability of the login process 
related to defect 0043366 closedranjith_qualiantech_com Retail Modules Cache manifest doesn't guarantee file order consistency, which can lead to unnecessary sources reloading 

-  Notes
(0118385)
ioritzCia (developer)
2020-03-06 14:12

Putting a resolution time as it is related with bandwidth increase in a Gold customer
(0118473)
hgbot (developer)
2020-03-10 16:39

Repository: erp/devel/pi
Changeset: f4ae851af9065e44ae325b544602b9b9f4d5fa26
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 02 11:28:09 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f4ae851af9065e44ae325b544602b9b9f4d5fa26 [^]

fixed BUG-43363: unneded requests to StaticResources when working in cluster

  Community branding URL was included as static resource. As it contains
  mac identifier information that varies among nodes in the same
  cluster, generated js file was different and requested whenver a
  browser switched from a node to another.

  Now this part has been moved to SessionDynamic request.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ApplicationComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ApplicationDynamicComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-dynamic-js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
---
(0118557)
caristu (developer)
2020-03-12 17:25

Reviewed + tested OK.

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/49 [^]

- Issue History
Date Modified Username Field Change
2020-02-28 10:22 alostale New Issue
2020-02-28 10:22 alostale Assigned To => platform
2020-02-28 10:22 alostale Modules => Core
2020-02-28 10:22 alostale Triggers an Emergency Pack => No
2020-02-28 10:22 alostale Tag Attached: Performance
2020-02-28 10:31 alostale Relationship added related to 0035553
2020-02-28 10:33 alostale Relationship added related to 0034490
2020-02-28 10:53 marvintm Relationship added related to 0043366
2020-03-06 14:12 ioritzCia Note Added: 0118385
2020-03-10 16:26 alostale Assigned To platform => alostale
2020-03-10 16:28 alostale Relationship added depends on 0043472
2020-03-10 16:39 hgbot Checkin
2020-03-10 16:39 hgbot Note Added: 0118473
2020-03-10 16:39 hgbot Status new => resolved
2020-03-10 16:39 hgbot Resolution open => fixed
2020-03-10 16:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f4ae851af9065e44ae325b544602b9b9f4d5fa26 [^]
2020-03-10 16:42 alostale Review Assigned To => caristu
2020-03-12 17:25 caristu Note Added: 0118557
2020-03-12 17:25 caristu Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker